# TP Web Fullstack

## Authors

| Nom        | Prénom    | login    | mail                                     |
|------------|-----------|----------|------------------------------------------|
| Boireau    | Mathieu   | bm180551 | mathieu.boireau@etu.univ-lehavre.fr      |
| Coufourier | Guillaume | cg180730 | guillaume.coufourier@etu.univ-lehavre.fr |
| Millot     | Hugo      | mh180577 | hugo.millot@etu.univ-lehavre.fr          |
| Prunier    | Sébastien | ps180437 | sebastien.prunier@etu.univ-lehavre.fr    |

## Migration
```
docker compose exec php bin/console doctrine:migrations:diff
docker compose exec php bin/console doctrine:migrations:migrate
```

## Insertion de données

```
docker compose exec php bin/console --env=dev doctrine:fixtures:load --no-debug
```

## Utilisation

```
docker compose up -d
```

## Lancement des tests
### API
### Mise en place de la base de données de tests de l'API 
```
docker compose exec php bin/console --env=test doctrine:database:create
docker compose exec php bin/console --env=test doctrine:schema:create
docker compose exec php bin/console --env=test doctrine:fixtures:load
```
### Exécution des tests de l'API
```
docker compose exec php bin/phpunit
```
### D3js
```
docker compose exec pwa npm run test
```

#### Si `babel-jest` n'est pas installé
```
docker compose exec pwa pnpm i @babel/runtime --save-dev
```
#### Si `pwa` n'arrive pas a se lancer
```
docker compose run pwa pnpm i https://registry.npmjs.org/@api-platform/admin/-/admin-3.4.3.tgz
docker compose up -d
```